<?php


// Post Category

$category = array();

$category_args = array(

    'type' => 'post',

    'orderby' => 'name',

    'hide_empty' => true,

    'taxonomy' => 'category'

);

// Get Category

$category_lists = get_categories($category_args);

foreach ($category_lists as $category) {

    $post_types[$category->term_id] = $category->name; // cat to get ID

}


/**
 * Header
 */

Preferred_Magazine_Kirki::add_panel('header_panel', array(

    'priority' => 15,

    'title' => esc_html__('Header', 'preferred-magazine'),

    'description' => esc_html__('Header General Settings', 'preferred-magazine'),

));

/**
 * General Settings
 */

Preferred_Magazine_Kirki::add_section('header_section', array(

    'title' => esc_html__('General Settings', 'preferred-magazine'),

    'panel' => 'header_panel',

    'priority' => 10,

));

// Layout Settings

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'radio-image',

    'settings' => 'header_layout_3',

    'label' => esc_html__('Select Header Layout', 'preferred-magazine'),

    'section' => 'header_section',

    'default' => 'header-1',

    'priority' => 10,

    'choices' => array(

        'header-1' => get_template_directory_uri() . '/inc/kirki/customizer/img/header-1.png',

        //'header-2' => get_template_directory_uri() . '/inc/kirki/customizer/img/header-2.png',

        //'header-3'  => get_template_directory_uri() . '/inc/kirki/customizer/img/header-3.png',

    ),

));

// Header Design Option

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'color',

    'settings' => 'header_background_color',

    'label' => __('Header Background Color', 'preferred-magazine'),

    'section' => 'header_section',

    'default' => '#fff',

    'transport' => 'auto',

    'output' => array(

        array(

            'element' => '.site-header',

            'property' => 'background-color',

        ),

    ),

));

// Border Color

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'color',

    'settings' => 'header_border_color',

    'label' => __('Top Border Color ( Bottom )', 'preferred-magazine'),

    'section' => 'header_section',

    'default' => '#c8c8c8',

    'transport' => 'auto',

    'output' => array(

        array(

            'element' => '.top-bar',

            'property' => 'border-color',

        ),

    ),

));

// Border Size

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'slider',

    'settings' => 'header_border_size',

    'label' => esc_html__('Border Size', 'preferred-magazine'),

    'section' => 'header_section',

    'default' => 1,

    'transport' => 'auto',

    'choices' => array(

        'min' => 0,

        'max' => 20,

        'step' => 1,

    ),

    'output' => array(

        array(

            'element' => '.top-bar',

            'property' => 'border-width',

            'units' => 'px',

        ),

    )

));

// Padding Top

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'slider',

    'settings' => 'header_padding_top',

    'label' => esc_html__('Padding Top', 'preferred-magazine'),

    'section' => 'header_section',

    'default' => 0,

    'transport' => 'auto',

    'choices' => array(

        'min' => 0,

        'max' => 100,

        'step' => 1,

    ),

    'output' => array(

        array(

            'element' => '.site-header',

            'property' => 'padding-top',

            'units' => 'px',

        ),

    )

));

// Padding Bottom

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'slider',

    'settings' => 'header_padding_bottom',

    'label' => esc_html__('Padding Bottom', 'preferred-magazine'),

    'section' => 'header_section',

    'default' => 0,

    'transport' => 'auto',

    'choices' => array(

        'min' => 0,

        'max' => 100,

        'step' => 1,

    ),

    'output' => array(

        array(

            'element' => '.site-header',

            'property' => 'padding-bottom',

            'units' => 'px',

        ),

    )

));

// Hide search

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'toggle',

    'settings' => 'hide_search',

    'label' => __('Hide Search', 'preferred-magazine'),

    'section' => 'header_section',

    'default' => true,

    'priority' => 10

));

// Hide Login Register

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'toggle',

    'settings' => 'hide_hamburg',

    'label' => __('Hide hamburg ( Pro )', 'preferred-magazine'),

    'section' => 'header_section',

    'default' => false,

    'priority' => 10,

));

// Hide Mini Cart

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'toggle',

    'settings' => 'woo_hide_cart',

    'label' => __('Hide Cart', 'preferred-magazine'),

    'section' => 'header_section',

    'default' => false,

    'priority' => 10,

));

/**
 * Top Bar
 */

Preferred_Magazine_Kirki::add_section('header_top_bar', array(

    'title' => esc_html__('Top Bar', 'preferred-magazine'),

    'panel' => 'header_panel',

    'priority' => 15,

));

// Hide Top Bar

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'toggle',

    'settings' => 'hide_top_bar',

    'label' => __('Show Top Bar?', 'preferred-magazine'),

    'section' => 'header_top_bar',

    'default' => true,

    'priority' => 20,

));

// Hide Top Bar Social Media

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'toggle',

    'settings' => 'hide_top_bar_social',

    'label' => __('Show Social Icons?', 'preferred-magazine'),

    'section' => 'header_top_bar',

    'description' => 'Please go back to SOCIAL MEDIA SECTION, There is an option to add social links',

    'default' => false,

    'priority' => 20,

));

// Show Top Bar News Post

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'toggle',

    'settings' => 'show_top_bar_news_post',

    'label' => __('Hide Top News Posts?', 'preferred-magazine'),

    'section' => 'header_top_bar',

    'default' => true,

    'priority' => 20,

));

// Top New Title

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'text',

    'settings' => 'top_news',

    'label' => esc_html__('Top News Title', 'preferred-magazine'),

    'section' => 'header_top_bar',

    'default' => 'Top News',

    'priority' => 25,

));

// Category or Recent Post

Kirki::add_field('preferred_magazine', array(

    'type' => 'select',

    'label' => esc_html__('Select a category', 'preferred-magazine'),

    'section' => 'header_top_bar',

    'settings' => 'top_news_category',

    'default' => '',

    'description' => 'Default showing recent post. if you select a category then show this related post\'s',

    'choices' => $post_types,

    'priority' => 30,

));

// Limit

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'number',

    'settings' => 'header_top_bar_post_limit',

    'label' => esc_html__('Post Limit', 'preferred-magazine'),

    'section' => 'header_top_bar',

    'priority' => 35,

    'default' => 4,

    'description' => esc_html__( 'This option only for PRO USER\'S', 'preferred-magazine' ),

    'choices' => array(

        'min' => 1,

        'max' => 4,

        'step' => 1,

    ),

));

/**
 * Header Content
 */

Preferred_Magazine_Kirki::add_section('header_contents', array(

    'title' => esc_html__('Header Content', 'preferred-magazine'),

    'panel' => 'header_panel',

    'priority' => 20,

));

Preferred_Magazine_Kirki::add_section('title_tagline', array(

    'title' => esc_html__('Header Content', 'preferred-magazine'),

    'panel' => 'header_panel',

    'priority' => 30,

));

/**
 * Menu Design
 */

Preferred_Magazine_Kirki::add_section('menu_design', array(

    'title' => esc_html__('Menu Design', 'preferred-magazine'),

    'panel' => 'header_panel',

    'priority' => 40,

));

// Menu Item Font Size

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'typography',

    'settings' => 'menu_color_variant',

    'label' => esc_html__('Menu Typography', 'preferred-magazine'),

    'section' => 'menu_design',

    'default' => array(

        'font-family' => 'Roboto',

        'variant' => '500',

        'font-size' => '13px',

        'line-height' => 'inherit',

        'letter-spacing' => '0.3px',

        'color' => '#807f7f',

        'text-transform' => 'uppercase'

    ),

    'priority' => 10,

    'transport' => 'auto',

    'output' => array(

        array(

            'element' => '.main-menu a',

        ),

    ),

));

// Padding Left

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'slider',

    'settings' => 'menu_padding_left',

    'label' => esc_html__('Padding Left/Right', 'preferred-magazine'),

    'section' => 'menu_design',

    'default' => 17,

    'transport' => 'auto',

    'choices' => array(

        'min' => 0,

        'max' => 100,

        'step' => 1,

    ),

    'output' => array(

        array(

            'element' => '.navbar-expand-lg .navbar-nav .nav-link,.search-modal a,.hamburg a',

            'property' => 'padding-left',

            'units' => 'px',

        ),

        array(

            'element' => '.navbar-expand-lg .navbar-nav .nav-link,.search-modal a',

            'property' => 'padding-right',

            'units' => 'px',

        ),

    )

));

/**
 * Featured Post
 */

Preferred_Magazine_Kirki::add_section('featured_posts', array(

    'title' => esc_html__('Featured Post', 'preferred-magazine'),

    'panel' => 'header_panel',

    'priority' => 45,

));

// Enable / Show

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'toggle',

    'settings' => 'show_featured_posts',

    'label' => esc_html__('Show Featured Post?', 'preferred-magazine'),

    'section' => 'featured_posts',

    'default' => false,

    'priority' => 5,

));

// Columns

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'select',

    'settings' => 'featured_posts_layout',

    'label' => esc_html__('Select a layout', 'preferred-magazine'),

    'section' => 'featured_posts',

    'default' => '1',

    'priority' => 10,

    'choices' => array(

        '1' => esc_html__('Layout 1', 'preferred-magazine'),

        '2' => esc_html__('Layout 2', 'preferred-magazine'),

        '3' => esc_html__('Layout 3', 'preferred-magazine'),

    ),

));

Kirki::add_field('preferred_magazine', array(

    'type' => 'select',

    'label' => esc_html__('Select a category', 'preferred-magazine'),

    'section' => 'featured_posts',

    'settings' => 'featured_post_types',

    'default' => '',

    'choices' => $post_types

));


Kirki::add_field('preferred_magazine', array(

    'type' => 'select',

    'label' => esc_html__('Select a category 1', 'preferred-magazine'),

    'section' => 'featured_posts',

    'settings' => 'featured_post_types_1',

    'default' => '',

    'choices' => $post_types

));


Kirki::add_field('preferred_magazine', array(

    'type' => 'select',

    'label' => esc_html__('Select a category 2', 'preferred-magazine'),

    'section' => 'featured_posts',

    'settings' => 'featured_post_types_2',

    'default' => '',

    'choices' => $post_types

));

// Limit

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'number',

    'settings' => 'featured_post_limit',

    'label' => esc_html__('Post Limit', 'preferred-magazine'),

    'section' => 'featured_posts',

    'priority' => 15,

    'default' => 3,

    'choices' => array(

        'min' => 0,

        'max' => 20,

        'step' => 1,

    ),

));


/**
 * Ads
 */

// Image

Preferred_Magazine_Kirki::add_section('header_image', array(

    'title' => esc_html__('Ads', 'preferred-magazine'),

    'panel' => 'header_panel',

    'priority' => 50,

));

// Show

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'toggle',

    'settings' => 'header_ads_show',

    'label' => esc_html__('Show', 'preferred-magazine'),

    'section' => 'header_image',

    'default' => false,

    'priority' => 5,

));

// Link

Preferred_Magazine_Kirki::add_field('preferred_magazine', array(

    'type' => 'text',

    'settings' => 'ads_url',

    'label' => esc_html__('URL', 'preferred-magazine'),

    'section' => 'header_image',

    'default' => '',

    'priority' => 10,

));